All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
generic-solver.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <stdexcept>`
`#include <boost/variant/get.hpp>`
`#include <boost/variant/variant.hpp>`
`#include <boost/utility.hpp>`
`#include <log4cxx/logger.h>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/problem.hh>`
`#include <roboptim/core/result.hh>`
`#include <roboptim/core/result-with-warnings.hh>`
`#include <roboptim/core/solver-error.hh>`
`#include <roboptim/core/solver-warning.hh>`

## Classes

class | roboptim::GenericSolver
| Abstract interface satisfied by all solvers. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const GenericSolver &gs)
| Override operator<< to handle solver display. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const NoSolution &ns)
| Override operator<< to display ``no solution'' objects. More...